#include "dliste.h"
#include <stdio.h>
#include <stdlib.h>

DEL* dnapraviel(int v){
           DEL* novi = malloc(sizeof(DEL));
           if(novi==NULL){
                          //okruzenju koje je pozvalo program
                          //vracamo informaciju da je prekinut zbog greske
                          exit(EXIT_FAILURE);               
           }   
           //sinonim za (*novi).vr
           novi->vr=v;
           novi->sl=NULL;
           novi->pr=NULL;
           return novi;
}

DEL* dubacip(DEL *plist, int v){
     DEL* novi = dnapraviel(v);
     if(plist==NULL){
              return novi;                                       
     }
     novi->sl=plist;
     plist->pr=novi;
     return novi;
}

DEL* dubacik(DEL *plist, int v){
     DEL* novi = dnapraviel(v);
     DEL* pom=plist;
     if(plist==NULL){
              return novi;                                       
     }
     while(plist->sl!=NULL)
                           plist=plist->sl;
     plist->sl=novi;
     novi->pr=plist;
     return pom;
}

void dispisil(DEL *plist){
     while(plist!=NULL){
                       printf("%d\t", plist->vr);
                       plist=plist->sl;                    
     }
}


void dobrisi(DEL *plist){
     if(plist==NULL)
                    return;
     dobrisi(plist->sl);
     printf("Brisem %d\t",plist->vr);
     free(plist);
} 

DEL* ducitajp(){
     int n;
     DEL* plist=NULL;
	 while(1){
              scanf("%d",&n);         
              if(n==-1)
                       break;
              plist=dubacik(plist,n);
     }
     return plist;
}
